Agora Java API Reference for Android

Public Attributes | List of all members
io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats Class Reference

Statistics of the remote video stream. More...

## Public Attributes
int | uid
int | delay
int | e2eDelay
int | width
int | height
int | receivedBitrate
int | decoderOutputFrameRate
int | rendererOutputFrameRate
int | frameLossRate
int | packetLossRate
int | rxStreamType
int | totalFrozenTime
int | frozenRate
int | avSyncTimeMs
long | totalActiveTime
long | publishDuration
int | mosValue
int | rxVideoBytes

## Detailed Description

Statistics of the remote video stream.

## Member Data Documentation

## ◆ uid

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.uid

The user ID of the remote user sending the video stream.

## ◆ delay

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.delay

Deprecated: In scenarios where audio and video are synchronized, you can get the video delay data from `networkTransportDelay` and `jitterBufferDelay` in `RemoteAudioStats`. The video delay (ms).

## ◆ e2eDelay

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.e2eDelay

End-to-end video latency (ms). That is, the time elapsed from the video capturing on the remote user's end to the receiving and rendering of the video on the local user's end.

## ◆ width

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.width

The width (pixels) of the video.

## ◆ height

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.height

The height (pixels) of the video.

## ◆ receivedBitrate

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.receivedBitrate

The bitrate (Kbps) of the remote video received since the last count.

## ◆ decoderOutputFrameRate

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.decoderOutputFrameRate

The frame rate (fps) of decoding the remote video.

## ◆ rendererOutputFrameRate

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.rendererOutputFrameRate

The frame rate (fps) of rendering the remote video.

## ◆ frameLossRate

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.frameLossRate

The packet loss rate (%) of the remote video.

## ◆ packetLossRate

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.packetLossRate

The packet loss rate (%) of the remote video after using the anti-packet-loss technology.

## ◆ rxStreamType

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.rxStreamType

The type of the video stream.

- VIDEO_STREAM_HIGH (0): High-quality stream, that is, a high-resolution and high-bitrate video stream.
- VIDEO_STREAM_LOW (1): Low-quality stream, that is, a low-resolution and low-bitrate video stream.

## ◆ totalFrozenTime

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.totalFrozenTime

The total freeze time (ms) of the remote video stream after the remote user joins the channel. In a video session where the frame rate is set to no less than 5 fps, video freeze occurs when the time interval between two adjacent renderable video frames is more than 500 ms.

## ◆ frozenRate

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.frozenRate

The total video freeze time as a percentage (%) of the total time the video is available. The video is considered available as long as that the remote user neither stops sending the video stream nor disables the video module after joining the channel.

## ◆ avSyncTimeMs

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.avSyncTimeMs

The amount of time (ms) that the audio is ahead of the video.

Note
  If this value is negative, the audio is lagging behind the video.

## ◆ totalActiveTime

long io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.totalActiveTime

The total active time (ms) of the video. As long as the remote user or host neither stops sending the video stream nor disables the video module after joining the channel, the video is available.

## ◆ publishDuration

long io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.publishDuration

The total duration (ms) of the remote video stream.

## ◆ mosValue

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.mosValue

The quality of the remote video stream in the reported interval. The quality is determined by the Agora real-time video MOS (Mean Opinion Score) measurement method. The return value range is [0, 500]. Dividing the return value by 100 gets the MOS score, which ranges from 0 to 5. The higher the score, the better the video quality.

Note
  For textured video data, this parameter always returns 0.

## ◆ rxVideoBytes

int io.agora.rtc2.IRtcEngineEventHandler.RemoteVideoStats.rxVideoBytes

Total number of video bytes received (bytes), represented by an aggregate value.